init python:
    def extras_button(label, target, condition):
        if eval(condition):
            clicked = ui.jumps(target)
        else:
            clicked = None

        ui.textbutton(
            label,
            clicked=clicked,
            xalign=0.5,
            size_group="buttons")
        

    pytom = Character(None, what_style='say_thought')
    dsp2003 = Character(None, what_style='say_thought')

    # Menus
    config.main_menu.insert(2, (u"Экстра", "extras", "True"))

    style.hyperlink_text.underline = False
    style.hyperlink_text.hover_underline = True
    style.hyperlink_text.color = "#bbf"

init:
    image fanart deji = "contrib/deji.jpg"
    image fanart doomfest = "contrib/doomfest.jpg"
    image fanart mugenjohncel = "contrib/mugenjohncel.jpg"
    
        
label extras:

    play music "softwaves.ogg"

    scene dawn1
    with dissolve

label extras_loop:

    python:
        ui.frame(xalign=0.5, yalign=.75)
        ui.vbox()
        ui.text(u"Экстра", xalign=0.5)
        ui.text("")

        either = persistent.unlock_3 or persistent.unlock_4
        both = persistent.unlock_3 and persistent.unlock_4
        
        extras_button(u"Галерея", "gallery", "True")
        
        if renpy.loadable("old/beach1b.jpg"):
            extras_button(u"Фанатские рисунки", "contrib_art", "either") 
            extras_button(u"Оригинальные рисунки", "original_art", "both")

        extras_button(u"Сюжетные спойлеры", "spoilers", "both")
        extras_button(u"Назад", "extras_return", "True")
        
        ui.close()

        # This is in the wrong place, but here it prevents us from
        # rolling back from the menu.
        renpy.checkpoint()

        ui.interact(suppress_underlay=True)


label extras_return:
    return
        


# Code for the MW image gallery.
init:
    python:
        def gallery_button(x, y, page, condition):
            if eval(condition):
                ui.button(xpos=x, ypos=y, xanchor=0, yanchor=0, clicked=ui.jumps("gallery_" + page))
                ui.image("gal-" + page + ".png")
            else:
                ui.image("gal-locked.png", xpos=x, ypos=y, xanchor=0, yanchor=0)

label gallery:

    $ _game_menu_screen = None
    
    scene beach3

    python:
        # x 50, 300, 550
        # y 37, 224, 411
        
        gallery_button(50, 37, "dark", "persistent.unlock_dark")
        gallery_button(300, 37, "dawn", "persistent.unlock_dawn")
        gallery_button(550, 37, "end1", "persistent.unlock_1")

        gallery_button(50, 224, "end2", "persistent.unlock_2")
        gallery_button(300, 224, "end3", "persistent.unlock_3")
        gallery_button(550, 224, "end4", "persistent.unlock_4")

        gallery_button(50, 411, "dark_mary", "persistent.unlock_1 and persistent.unlock_2 and persistent.unlock_3 and persistent.unlock_4")
        gallery_button(300, 411, "dawn_mary", "persistent.unlock_1 and persistent.unlock_2 and persistent.unlock_3 and persistent.unlock_4")

        ui.textbutton(u"Назад", xanchor=.5, yanchor=.5,
                      xpos=550 + 200 / 2, ypos=411 + 150 / 2,
                      xpadding=20, ypadding=15,
                      background=Frame('saveslot.png', 16, 16),
                      clicked=ui.returns(True),
                      )

        renpy.transition(dissolve)

        ui.interact()
        
    scene dawn1
    with dissolve

    $ _game_menu_screen = "save_screen"
    
    jump extras_loop
    
    
label gallery_dark:

    scene beach1 with dissolve
    $ renpy.pause(10)

    scene beach1 mary with dissolve
    $ renpy.pause(10)

    scene beach2 with dissolve
    $ renpy.pause(10)
    
    scene beach3 with dissolve
    $ renpy.pause(10)
    
    jump gallery

label gallery_dawn:
    
    scene dawn1 with dissolve
    $ renpy.pause(10)

    scene dawn2 with dissolve
    $ renpy.pause(10)
    
    scene dawn3 with dissolve
    $ renpy.pause(10)

    jump gallery

label gallery_end1:

    scene transfer with dissolve
    $ renpy.pause(10)

    scene moonpic with dissolve
    $ renpy.pause(10)

    scene girlpic with dissolve
    $ renpy.pause(10)

    scene nogirlpic with dissolve
    $ renpy.pause(10)

    scene bad_ending with dissolve
    $ renpy.pause(10)

    jump gallery

label gallery_end2:

    scene library with dissolve
    $ renpy.pause(10)

    scene beach1 nomoon with dissolve
    $ renpy.pause(10)

    scene bad_ending with dissolve
    $ renpy.pause(10)

    jump gallery

label gallery_end3:

    scene littlemary2 with dissolve
    $ renpy.pause(10)
    
    scene littlemary with dissolve
    $ renpy.pause(10)

    scene good_ending with dissolve
    $ renpy.pause(10)

    jump gallery

label gallery_end4:

    scene hospital1 with dissolve
    $ renpy.pause(10)
    
    scene hospital2 with dissolve
    $ renpy.pause(10)

    scene hospital3 with dissolve
    $ renpy.pause(10)

    scene heaven with dissolve
    $ renpy.pause(10)

    scene white with slowdissolve
    $ renpy.pause(1)

    scene good_ending with slowdissolve
    $ renpy.pause(10)

    jump gallery

label gallery_dawn_mary:

    scene dawn1
    show mary dawn confused smiling
    with dissolve
    $ renpy.pause(5)
    
    show mary dawn confused wistful with dissolve
    $ renpy.pause(5)

    show mary dawn wistful with dissolve
    $ renpy.pause(5)
    
    show mary dawn smiling with dissolve
    $ renpy.pause(5)
    
    show mary dawn vhappy with dissolve
    $ renpy.pause(5)

    jump gallery

label gallery_dark_mary:

    scene beach2
    show mary dark confused smiling
    with dissolve
    $ renpy.pause(5)
    
    show mary dark confused wistful with dissolve
    $ renpy.pause(5)

    show mary dark sad with dissolve
    $ renpy.pause(5)
    
    show mary dark crying with dissolve
    $ renpy.pause(5)
    
    show mary dark wistful with dissolve
    $ renpy.pause(5)
    
    show mary dark smiling with dissolve
    $ renpy.pause(5)
    
    show mary dark smiling b with dissolve
    $ renpy.pause(5)
    
    show mary dark laughing with dissolve
    $ renpy.pause(5)

    show mary dark vhappy with dissolve
    $ renpy.pause(5)
    
    show mary dark happy with dissolve
    $ renpy.pause(5)
    
    jump gallery

label original_art:

    pytom "Исходную версию \"Прогулок под Луной\" я сделал в одиночку, меньше чем за месяц."

    pytom "Несмотря на гордость за достигнутый результат, это так же означало что оригинальная версия новеллы была ограничена, как моими художественными навыками, так и малым количеством времени."

    pytom "Несмотря на то, что эта обновлённая версия \"Прогулок под Луной\" значительно преобразилась благодаря рисункам Mugenjohncel'я, не могу не отметить что испытываю к старым изображениям тёплые ностальгические чувства."

    $ oldart = True
    
    pytom "Поэтому, в качестве дополнения, я сделал возможность прочтения \"Прогулок под Луной\" со старыми рисунками."

    menu:

        "Вы хотите прочесть новеллу с исходными иллюстрациями?"

        "Да.":
            jump start

        "Нет.":
            pass


    $ oldart = False
    jump extras_loop
    
label contrib_art:

    pytom "В сентябре 2008-го года, когда стало ясно, что этот римейк вскоре будет завершён, мы {a=http://lemmasoft.renai.us/forums/viewtopic.php?p=57621}обратились с просьбой о создании фанатских рисунков к художникам{/a} на форумах Lemma Soft."

    pytom "Через несколько часов, Deji выдал нам следующее:"

    scene fanart deji
    with dissolve
    $ renpy.pause()
    scene dawn1
    with dissolve

    pytom "Следующий рисунок предоставил Doomfest:"

    scene fanart doomfest
    with dissolve
    $ renpy.pause()
    scene dawn1
    with dissolve

    pytom "И наконец, последний рисунок предоставил Mugenjohncel. И, несмотря на то что картинка от официального художника технически выбивалась из сюжетной темы, она рассмешила нас настолько, что мы решили включить её сюда."
    
    scene fanart mugenjohncel
    with dissolve
    $ renpy.pause()
    scene dawn1
    with dissolve

    pytom "Я хотел бы поблагодарить всех ребят, выложивших свои замечательные работы."
    
    jump extras_loop


label spoilers:

    scene beach1
    with dissolve

    pytom "В данном разделе, я вкратце расскажу о предыстории \"Прогулок под Луной\", а так же о том, откуда черпал своё вдохновение."

    pytom "Наверно, самое большое влияние на \"Прогулки под Луной\" оказал комикс Марвел 1602, повествующий о персонаже Вирджинии Дэйр, первом ребёнке, родившемся в Америке у родителей-англичан."

    pytom "В действительности, она исчезла вместе с колонией Роанок через несколько лет после своего рождения. Но это лишь дало почву для разростания мифов вокруг неё."

    pytom "Несколько дней подряд я размышлял обо всём этом, и внезапно ко мне пришла идея \"Прогулок под Луной\", с полностью сформировавшейся четвёртой концовкой, пока я принимал душ."

    pytom "Хотя место действия в новелле и отличается от родины Вирджинии Дэйр, несколько элементов всё же сохранились."

    pytom "Например, повествование идёт на острове в Атлантическом океане. Прототипом для Острова Северного Песка послужил остров на внешних отмелях морского побережья Северной Каролины, неподалёку от того места, где раньше был Роанок."

    pytom "Имя \"Мария Харпер\" было составлено из переписи населения 1790-го года для того региона. Оно получено путём сочетания фамилии мужчины и имени женщины. То есть, героиня не названа в честь того кто жил на самом деле."

    scene beach2
    with dissolve
    
    pytom "Мария умерла от чумы, прокатившейся по острову в 1790-м году."

    pytom "В возрасте десяти лет. Её мечта о замужестве удерживала её на этом свете после смерти."

    pytom "Её платье, или, по крайней мере, то что можно увидеть в исходной версии иллюстраций, срисовано с настоящего свадебного платья. Правда, оно родом из Огайо и датировано примерно на тридцать лет позже."

    pytom "Повествование начинается летом 2005-го года. Это значит, что Мария блуждала по острову в районе 2804-2826 ночей, или более семи лет по её внутренним часам."

    pytom "Каждое полнолуние, она стареет ровно на один день, поэтому фактически ей 17 лет."

    pytom "Я не знаю, чем она занимается вне ночи, но всё равно стареет. Наверно, просто спит."

    pytom "Нашему протагонисту около 18-и, он окончил школу и собирается поступать в университет. Пожалуй, это тот возраст, когда у человека меньше всего забот, и тот свободен следовать собственным мечтам."

    scene beach3
    with dissolve
    
    pytom "В третьей концовке, Мария женится, исполнив тем самым своё заветное желание, удерживавшее её на Земле. Как только оно исполнилось, она упокоилась с миром."

    pytom "Конечно, всё что касается \"гражданского брака\" - полная чушь (по крайней мере, по современному американскому законодательству), но Мария в это верит, потому и считается."

    pytom "Хоть я и упомянул это вскользь, в третьей концовке протагонист женится на одной из библиотекарш, помогавших ему в исследованиях."

    pytom "В четвёртой концовке, Мария решает что хочет быть с протагонистом сильнее, чем оставаться на Земле, и покидает этот мир вместе с ним."

    pytom "Четвёртая концовка - это то что сподвигло меня на создание этой новеллы, тогда как третья - относительно поздняя приписка к сюжету, добавленная потому что по логике читатель мог сделать иной выбор."

    scene dawn1
    with dissolve

    pytom "Благодарю что уделили время на прочтение этих заметок, и, ещё раз спасибо, что прочитали \"Прогулки под Луной\".\n\nPyTom, Kings Park, Январь 2009-го года"
    
    dsp2003 "Как переводчик, хочу поблагодарить вас за проявленный интерес к данной русской локализации. Надеюсь, что она вам понравилась."
    
    dsp2003 "И, в особенности, выражаю благодарность PyTom'у, за создание этого крошечного шедевра в жанре renai, а так же за техническую поддержку и консультации по спорным местам.\n\nДмитрий Погуляев, Апрель 2010-го года"

    jump extras_loop
    
    
    
